No trackers are selected for new projects

2020-07-15 07:36 - Yuichi HARADA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version: 4.2.0   

Resolution: Fixed Affected version:  

Description

Immediately after installing Redmine, the initial display of the trackers on Administration > Settings > Projects > [Default trackers for

new projects] is unchecked.

 administration-settings-projects.png 

However, even if the screen display is the same, the behavior is different immediately after installing Redmine and after saving.

Immediately after installing Redmine:

All trackers are enabled when you create a new project.

After saving on Administration > Settings > Projects (trackers remains checked off):

All trackers are disabled when you create a new project.

Associated revisions

Revision 20841 - 2021-03-25 03:11 - Go MAEDA

Set trackers in the default data as defaults for new projects (#33733).

Patch by Marius BALTEANU.

History

#1 - 2020-07-15 07:39 - Yuichi HARADA

- File fix-33733.patch added

The following patch will solve the problem.

diff --git a/app/models/project.rb b/app/models/project.rb

index 0119b1228..aba2ef4b5 100644

--- a/app/models/project.rb

+++ b/app/models/project.rb

@@ -122,7 +122,7 @@ class Project < ActiveRecord::Base

       self.enabled_module_names = Setting.default_projects_modules

     end

     if !initialized.key?('trackers') && !initialized.key?('tracker_ids')

-      default = Setting.default_projects_tracker_ids

+      default = Setting.default_projects_tracker_ids.presence

       if default.is_a?(Array)

         self.trackers = Tracker.where(:id => default.map(&:to_i)).sorted.to_a

       else

#2 - 2020-07-15 16:27 - Go MAEDA

- Status changed from New to Confirmed

- Assignee set to Jean-Philippe Lang

- Target version set to 4.2.0

#3 - 2020-07-15 16:34 - Go MAEDA

I assigned this issue to Jean-Philippe Lang because the patch introduces a bit bigger behavior change that changes the existing test.

#4 - 2021-03-18 22:52 - Marius BĂLTEANU

- File patch-33733.patch added
Default trackers are not part of the default Redmine settings (settings.yml), are part of the default data which is not necessary applied on all new

instances.

From my point of view, to fix this, we should add Setting.default_projects_tracker_ids as part of the default data (when the trackers are added).

Please try with the attached patch and let me know what do you think.

#5 - 2021-03-18 22:52 - Marius BĂLTEANU

- Assignee changed from Jean-Philippe Lang to Yuichi HARADA

#6 - 2021-03-23 03:05 - Yuichi HARADA

- File apply-patch.png added

Marius BALTEANU wrote:

Default trackers are not part of the default Redmine settings (settings.yml), are part of the default data which is not necessary applied on all new

instances.

From my point of view, to fix this, we should add Setting.default_projects_tracker_ids as part of the default data (when the trackers are added).

Please try with the attached patch and let me know what do you think.

 Thank you for creating the patch.

Comfirmed the your patch. I think the patch is good.

When I imported the default data as follows, "Default trackers for new projects" were properly checked on.

$ bundle exec rake db:migrate:reset

$ bundle exec rake redmine:load_default_data

  apply-patch.png 

#7 - 2021-03-23 07:39 - Marius BĂLTEANU

- Assignee changed from Yuichi HARADA to Go MAEDA

#8 - 2021-03-25 03:13 - Go MAEDA

- Subject changed from Tracker does not work after creating a new project to No trackers are selected for new projects

- Status changed from Confirmed to Closed

- Resolution set to Fixed

Committed the fix. Thank you.
